Skip to main content
PUT
/
products
/
collections
/
{collectionId}
Update Product Collection
curl --request PUT \
  --url https://services.leadconnectorhq.com/products/collections/{collectionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "LOCATION",
  "name": "Best Sellers",
  "slug": "best-sellers",
  "image": "http://example.com/watermark.png",
  "type": "manual",
  "rules": {
    "logic": "AND",
    "conditions": [
      "<array>"
    ]
  },
  "productIds": [
    "655b33a82209e60b6adb87a5",
    "655b33a82209e60b6adb87a6"
  ],
  "seo": {
    "title": "Best Sellers",
    "description": "Collections where all the best products are available"
  },
  "ruleHash": "abc123def456",
  "ruleVersion": 1,
  "stats": {}
}
'
{
  "status": true,
  "message": "Successfully created"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

collectionId
string
required

MongoId of the collection

Example:

"65d71377c326ea78e1c47df5"

Body

application/json
altId
string
required

Location Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required

The type of alt. For now it is only LOCATION

Available options:
location
Example:

"LOCATION"

name
string

Name of the Product Collection

Example:

"Best Sellers"

slug
string

Slug of the Product Collection which helps in navigation

Example:

"best-sellers"

image
string

The URL of the image that is going to be displayed as the collection Thumbnail

Example:

"http://example.com/watermark.png"

type
enum<string>

Type of collection - manual or smart

Available options:
manual,
smart
Example:

"manual"

rules
object
productIds
string[]

Array of product IDs for manual collections (replaces existing products)

Example:
[
"655b33a82209e60b6adb87a5",
"655b33a82209e60b6adb87a6"
]
seo
object
ruleHash
string

Hash of the rules for change detection (auto-generated)

Example:

"abc123def456"

ruleVersion
number

Version of the rules for smart collections (auto-generated)

Example:

1

stats
object

Statistics about the collection (auto-generated)

Response

Successful response

status
boolean
required

Status of api action

Example:

true

message
string

Success message

Example:

"Successfully created"

Last modified on March 4, 2026